Bug 129477 - kernel panic in umount
kernel panic in umount
Status: CLOSED DUPLICATE of bug 175216
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
:
Depends On:
Blocks: RHEL3U8CanFix
  Show dependency treegraph
 
Reported: 2004-08-09 11:53 EDT by Greg Baker
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 13:06:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Baker 2004-08-09 11:53:54 EDT
Description of problem:

Kernel panic in umount seen on two different systems running RHEL3
beta (2.4.18.ELsmp)

Version-Release number of selected component (if applicable):

RHEL 3, x86_64

Linux bragi078 2.4.21-18.ELsmp #1 SMP Thu Jul 22 14:59:01 EDT 2004
x86_64 unknown unknown GNU/Linux

How reproducible:



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

SYSTEM 1: bragi105 console output.

[-- MARK -- Tue Aug  3 23:00:00 2004 .. Thu Aug  5 15:00:00 2004 --
MARK --]
VFS: Busy inodes after unmount. Self-destruct in 5 seconds.  Have a
nice day...
[-- MARK -- Thu Aug  5 15:30:00 2004]
[-- MARK -- Thu Aug  5 16:00:00 2004 .. Fri Aug  6 14:00:00 2004 --
MARK --]
VFS: Busy inodes after unmount. Self-destruct in 5 seconds.  Have a
nice day...
[-- MARK -- Fri Aug  6 14:30:00 2004]
[-- MARK -- Fri Aug  6 15:00:00 2004]
stack segment: 0000
CPU 1 
Pid: 19709, comm: umount Not tainted
RIP: 0010:[<ffffffff80178fa5>]{iput+69}
RSP: 0018:00000100754b5eb8  EFLAGS: 00010206
RAX: 0300000096750000 RBX: 0000010009297140 RCX: 0000010009297160
RDX: 0000010009297160 RSI: 0000010009297140 RDI: 0000010009297140
RBP: 0300000096750000 R08: 0000000000000019 R09: 0000000000000d00
R10: 0000000000000000 R11: ffffff0000000000 R12: 000001007ac44000
R13: ffffffffa00f0640 R14: ffffffffa00f0980 R15: 000000000050c580
FS:  0000002a958c84c0(0000) GS:ffffffff805dd280(0000)
knlGS:0000000040016b00
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 000000000050d6e0 CR3: 0000000008555000 CR4: 00000000000006e0

Call Trace:  <EOE> [<ffffffff801760f0>]{prune_dcache+288} 
       [<ffffffff801764bd>]{shrink_dcache_parent+13}
[<ffffffff801656b4>]{kill_super+164} 
       [<ffffffff8017b968>]{sys_umount+152}
[<ffffffff8015d9fe>]{filp_close+206} 
       [<ffffffff80110177>]{system_call+119} 
Process umount (pid: 19709, stackpage=100754b5000)
Stack: 00000100754b5eb8 0000000000000018 
Call Trace:  <EOE> [<ffffffff801760f0>]{prune_dcache+288} 
       [<ffffffff801764bd>]{shrink_dcache_parent+13}
[<ffffffff801656b4>]{kill_super+164} 
       [<ffffffff8017b968>]{sys_umount+152}
[<ffffffff8015d9fe>]{filp_close+206} 
       [<ffffffff80110177>]{system_call+119} 

Code: 48 8b 45 30 48 85 c0 74 05 48 89 df ff d0 48 8d 7b 58 48 c7

Kernel panic: Fatal exception

SYSTEM 2: bragi078 console output

[-- MARK -- Tue Aug  3 23:00:00 2004 .. Fri Aug  6 13:00:00 2004 --
MARK --]
VFS: Busy inodes after unmount. Self-destruct in 5 seconds.  Have a
nice day...
[-- MARK -- Fri Aug  6 13:30:00 2004]
[-- MARK -- Fri Aug  6 14:00:00 2004 .. Sat Aug  7 09:00:00 2004 --
MARK --]
Unable to handle kernel paging request at virtual address 00000000d13ab5d3
 printing rip:
ffffffff80178fa5
PML4 490d5067 PGD 0 
Oops: 0000
CPU 1 
Pid: 5738, comm: umount Not tainted
RIP: 0010:[<ffffffff80178fa5>]{iput+69}
RSP: 0018:000001004dec1eb8  EFLAGS: 00010206
RAX: 00000000d13ab5a3 RBX: 00000100653c04c0 RCX: 00000100653c04e0
RDX: 00000100653c04e0 RSI: 00000100653c04c0 RDI: 00000100653c04c0
RBP: 00000000d13ab5a3 R08: 000000000000027c R09: 0000000000000300
R10: 0000000000000000 R11: ffffff0000000000 R12: 000001007d9be000
R13: ffffffffa00f0640 R14: ffffffffa00f0980 R15: 000000000050c580
FS:  0000002a958c84c0(0000) GS:ffffffff805dd280(0000)
knlGS:0000000040016b00
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000d13ab5d3 CR3: 0000000008555000 CR4: 00000000000006e0

Call Trace: [<ffffffff80175c21>]{dput+33}
[<ffffffff801760f0>]{prune_dcache+288}
 
       [<ffffffff801764bd>]{shrink_dcache_parent+13}
[<ffffffff801656b4>]{kill_s
uper+164} 
       [<ffffffff8017b968>]{sys_umount+152}
[<ffffffff8015d9fe>]{filp_close+206}
 
       [<ffffffff80110177>]{system_call+119} 
Process umount (pid: 5738, stackpage=1004dec1000)
Stack: 000001004dec1eb8 0000000000000018 ffffffff80175c21
000001006308e380 
       00000100086dce80 00000000000018ea ffffffff801760f0
000001007a015a80 
       00000100539ec000 000001007a015a80 ffffffff801764bd
00000100539ec080 
       ffffffff801656b4 0000000000000000 000001004dec1f38
0000000000000000 
       000000000050c5b0 000000000050c620 ffffffff8017b968
000001007a015a80 
       00000100085625c0 0000000000000000 ffffffff8015d9fe
0000000100000009 
       000000000050b0d0 0000000000000000 0000000000000000
000000000050a070 
       ffffffff80110177 0000000000000246 0000002a9568f988
0000000000000002 
       0000000000000000 00000000000000a6 0000000000000020
0000000000000021 
       0000000000000000 000000000050c5b0 00000000000000a6
0000002a9575bb59 
Call Trace: [<ffffffff80175c21>]{dput+33}
[<ffffffff801760f0>]{prune_dcache+288}
 
       [<ffffffff801764bd>]{shrink_dcache_parent+13}
[<ffffffff801656b4>]{kill_s
uper+164} 
       [<ffffffff8017b968>]{sys_umount+152}
[<ffffffff8015d9fe>]{filp_close+206}
 
       [<ffffffff80110177>]{system_call+119} 

Code: 48 8b 45 30 48 85 c0 74 05 48 89 df ff d0 48 8d 7b 58 48 c7

Kernel panic: Fatal exception


The kernel: VFS: Busy inodes are matched in the syslog with
Aug  5 15:25:34 bragi105 automount[836]: expired /user/XXXXXXXX
Aug  5 15:25:34 bragi105 kernel: VFS: Busy inodes after unmount.
Self-destruct in 5 seconds.  Have a nice day...
Aug  5 15:25:35 bragi105 automount[837]: expired /libs/XX_XX_XXX

Aug  6 14:18:50 bragi105 automount[19530]: expired /u/XXX
Aug  6 14:18:50 bragi105 kernel: VFS: Busy inodes after unmount.
Self-destruct in 5 seconds.  Have a nice day...
Aug  6 14:18:50 bragi105 automount[19530]: expired /u/XX
Aug  6 14:18:50 bragi105 automount[19530]: expired /u/XX_XXX
Aug  6 14:18:50 bragi105 automount[19530]: expired /u/XX_XXXX
Aug  6 14:18:50 bragi105 automount[19530]: expired /u/XXXX

I am also submitting a service request that has more information:

Service Request Number  	352970
Comment 1 Bill Adams 2005-05-02 16:40:28 EDT
Have a crash with same symptoms in 2.4.21-9.ELsmp.

Was this bug fixed in any of the subsequent updates?
Comment 4 Ernie Petrides 2006-04-28 17:49:04 EDT
Adding a couple dozen bugs to CanFix list so I can complete the stupid advisory.

Note You need to log in before you can comment on or make changes to this bug.